## ros-noetic-pluginlib 1.13.0

=== debian/changelog ===
ros-noetic-pluginlib (1.13.0-1focal) focal; urgency=high

  * Declare specific boost dependencies (#171 <https://github.com/ros/pluginlib/issues/171>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 21 May 2020 07:00:00 -0000

ros-noetic-pluginlib (1.12.2-1focal) focal; urgency=high

  * Add bin to library search path on Windows. (#145 <https://github.com/ros/pluginlib/issues/145>)
  * Bump minimum CMake version to avoid CMP0048 warning. (#173 <https://github.com/ros/pluginlib/issues/173>)
  * Check for NULL in XMLElement::Attribute. (#163 <https://github.com/ros/pluginlib/issues/163>)
  * Check for NULL in XMLElement::GetText. (#159 <https://github.com/ros/pluginlib/issues/159>)
  * Check for NULL in XMLNode::Value. (#158 <https://github.com/ros/pluginlib/issues/158>)
  * Update header migration script for Python 3. (#148 <https://github.com/ros/pluginlib/issues/148>)
  * Make Steven! Ragnarok the maintainer. (#129 <https://github.com/ros/pluginlib/issues/129>)
  * Fix spelling Attirbute=>Attribute. (#128 <https://github.com/ros/pluginlib/issues/128>)
  * Link test_plugins against class_loader for Windows compilation. (#125 <https://github.com/ros/pluginlib/issues/125>)
  * Fix build issue when build on Windows (#123 <https://github.com/ros/pluginlib/issues/123>)
  * Contributors: James Xu, Jeremie Deray, Johnson Shih, Markus Grimm, Mikael Arguedas, Shane Loretz, josch

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 14 Feb 2020 08:00:00 -0000

ros-noetic-pluginlib (1.12.1-1focal) focal; urgency=high

  * [warning fix] remove deprecation warning until users are required to change code (#115 <https://github.com/ros/pluginlib/issues/115>)
  * [warning fix] move catkinFindLib implementation from anonymous namespace to getCatkinLibraryPaths (#113 <https://github.com/ros/pluginlib/issues/113>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 27 Apr 2018 07:00:00 -0000

ros-noetic-pluginlib (1.12.0-1focal) focal; urgency=high

  * [warning fix]Cherry-pick #103 <https://github.com/ros/pluginlib/issues/103> to melodic-devel (#105 <https://github.com/ros/pluginlib/issues/105>)
  * [migration helper] provide a script to convert include statements to use new headers (#104 <https://github.com/ros/pluginlib/issues/104>)
  * [migration] use new class_loader headers and fix deprecation warnings (#101 <https://github.com/ros/pluginlib/issues/101>)
  * [bugfix] Continue loading classes on error (#85 <https://github.com/ros/pluginlib/issues/85>) (#88 <https://github.com/ros/pluginlib/issues/88>)
  * [style] Fix cpplint and lint_cmake errors (#84 <https://github.com/ros/pluginlib/issues/84>)
  * move pluginlib in its own folder (#83 <https://github.com/ros/pluginlib/issues/83>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 14 Mar 2018 07:00:00 -0000

ros-noetic-pluginlib (1.11.0-1focal) focal; urgency=high

  * Switch to Tinyxml2 (#59 <https://github.com/ros/pluginlib/issues/59>)
  * do not use popen to solve catkin_path. (#49 <https://github.com/ros/pluginlib/issues/49>)
  * switch to package format 2 (#55 <https://github.com/ros/pluginlib/issues/55>)
  * remove trailing whitespaces (#54 <https://github.com/ros/pluginlib/issues/54>)
  * Contributors: Dmitry Rozhkov, Koji Terada, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-pluginlib (1.10.5-1focal) focal; urgency=high

  * Merge pull request #47 <https://github.com/ros/pluginlib/issues/47> from ros/fix_conversion
    fix size_t to int conversion
  * fix int conversion
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-noetic-pluginlib (1.10.4-1focal) focal; urgency=high

  * Merge pull request #42 <https://github.com/ros/pluginlib/issues/42> from delftrobotics-forks/unique-ptr
    Add std::unique_ptr API
  * Add unit test for unique_ptr API.
  * Simplify unit tests with ASSERT_THROW.
  * Add ClassLoader::createUniqueInstance.
  * Wrap long comment on createInstance and friend.
  * Throw exception if plugin.xml is broken (#41 <https://github.com/ros/pluginlib/issues/41>)
    * added test case for broken xml files with missing attributes of class tag
    * added checks if all needed attributes of the class tag are existing
    * removed comment and empty line
  * Contributors: Maarten de Vries, Mikael Arguedas, cwecht

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 20 Sep 2016 07:00:00 -0000

ros-noetic-pluginlib (1.10.3-1focal) focal; urgency=high

  * Merge pull request #40 <https://github.com/ros/pluginlib/issues/40> from ros/fix_warnings
    fix deprecated warnings in unit tests
  * fix deprecated warnings in unit tests
  * removed merge messages and redundant commits
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 22 Jun 2016 07:00:00 -0000

ros-noetic-pluginlib (1.10.2-1focal) focal; urgency=high

  * Remove Boost Software License from license tag #35 <https://github.com/ros/pluginlib/issues/35>
  * Throw an exception if ClassLoader can't be instantiated due to an invalid package name #34 <https://github.com/ros/pluginlib/issues/34>
  * Add ":" to split function within getName. #33 <https://github.com/ros/pluginlib/issues/33>
  * Contributors: Esteve Fernandez, Jochen Sprickerhof, Mikael Arguedas, Mike O'Driscoll

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 14 Mar 2016 07:00:00 -0000

ros-noetic-pluginlib (1.10.1-1focal) focal; urgency=high

  * Remove GTEST_FOUND from CMakeLists.txt
  * Check that GTest is installed before running tests.
  * Moved plugin_macro_update script to scripts directory. Made plugin_macro_update rosrunnable and removed it from global PATH #29 <https://github.com/ros/pluginlib/issues/29>
  * Contributors: Esteve Fernandez


