## ros-noetic-pluginlib 1.13.1

=== debian/changelog ===
ros-noetic-pluginlib (1.13.1-1focal) focal; urgency=high

  * Documented possible exception being thrown in ClassLoader destructor. (#234 <https://github.com/ros/pluginlib/issues/234>)
  * Avoid throwing on symlink loops. (#244 <https://github.com/ros/pluginlib/issues/244>)
  * Drop unused include (#233 <https://github.com/ros/pluginlib/issues/233>)
  * Use ifdef instead of if for win32 (#238 <https://github.com/ros/pluginlib/issues/238>)
  * Contributors: Ivor Wanders, Jochen Sprickerhof, Matthijs van der Burgh, Remo Diethelm

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000
