## ros-noetic-pluginlib 1.13.2

=== debian/changelog ===
ros-noetic-pluginlib (1.13.2-1focal) focal; urgency=high

  * fix shebang line for python3 (#197 <https://github.com/ros/pluginlib/issues/197>)
  * Fix warnings reported by Wformat. Printouts with format '%p' should be void pointers. Add static_cast's. (#179 <https://github.com/ros/pluginlib/issues/179>)
  * Fix runtime dependencies (#257 <https://github.com/ros/pluginlib/issues/257>)
  * Contributors: Atsushi Watanabe, Gabriel Hottiger, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sat, 26 Apr 2025 00:00:00 -0000
