=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: ros-noetic-pluginlib
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-filesystem-dev, libtinyxml2-dev, ros-noetic-class-loader, ros-noetic-rosconsole, ros-noetic-roslib (>= 1.11.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libboost-dev, libboost-filesystem-dev, libboost-filesystem1.71.0, libtinyxml2-dev, ros-noetic-class-loader, ros-noetic-rosconsole, ros-noetic-roslib (>= 1.11.1)
 Description: The pluginlib package provides tools for writing and dynamically loading plugins using the ROS build infrastructure.
  To work, these tools require plugin providers to register their plugins in the package.xml of their package.
